## org.eclipse.emf.transaction
Interface ResourceSetListener.Internal

All Superinterfaces:
  EventListener, ResourceSetListener

All Known Implementing Classes:
  DemultiplexingListener, ResourceLoadedListener, ResourceSetListenerImpl, TriggerListener

Enclosing interface:
  ResourceSetListener

    public static interface ResourceSetListener.Internal

extends ResourceSetListener

An interface for communication of internal life-cycle events to the listener. These call-backs do not have anything to do with the state of the resource set, but rather inform the listeners of changes in its own state. This interface is optional; listeners should implement it only if they need the additional notifications.

Since:
  1.3

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.transaction.ResourceSetListener
`ResourceSetListener.Internal`

Method Summary
`void` `setTarget(TransactionalEditingDomain domain)` Informs me that I have been attached to the specified editing domain.
`void` `unsetTarget(TransactionalEditingDomain domain)` Informs me that I have been detached from the specified editing domain.

Methods inherited from interface org.eclipse.emf.transaction.ResourceSetListener
`getFilter, isAggregatePrecommitListener, isPostcommitOnly, isPrecommitOnly, resourceSetChanged, transactionAboutToCommit`

Method Detail

### setTarget

    void setTarget(TransactionalEditingDomain domain)

  Informs me that I have been attached to the specified editing domain. This is particularly useful for listeners that are statically registered, as it effectively signals the creation of the editing domain.

  Parameters:
    `domain` - an editing domain to which I have been attached. Note that nothing precludes the addition of a listener to more than one editing domain

### unsetTarget

    void unsetTarget(TransactionalEditingDomain domain)

  Informs me that I have been detached from the specified editing domain. This is a good opportunity for me, perhaps, to clean up any cached data that pertains to this domain.

  Parameters:
    `domain` - an editing domain from which I have been detached. Note that I may very will still be attached to other domains than this

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.